Bug 6927 - Шаг "Добавление пользователей": возможность выбрать пользователю локаль
: Шаг "Добавление пользователей": возможность выбрать пользователю локаль
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-i18n)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 1775
  Show dependency tree
 
Reported: 2005-05-23 12:07 by
Modified: 2009-01-17 19:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-23 12:07:25
Добавить диалог для назначения локали каждому пользователю. В идеале -- 
чтобы можно было и имя пользователя (не login) ввести в этой же локали. 

 Если добавление пользователей сделать до установки пакетов, то последующая
установка сможет учесть, что надо ставить дополнительные переводы
------- Comment #1 From 2005-05-23 12:39:19 -------
re "в этой же локали" -- Баба Яга против, если это не *.UTF-8, поскольку только
насобираем проблем себе на голову.  Потому что процессы login и *dm работают в
локали, которая никак не может зависеть от ввода.

re "доп. языки при добавлении пользователей": сейчас список языков к этому
моменту уже давно (в смысле практически инвариантно) сформирован.

Так что прямо сейчас запрошенное попросту не реализуемо (как заводить
пользователей и расставлять им skel'ы, когда не установлены ни filesystem, ни
etcskel?), _но_ если принять как рабочую идею "спросить данные, применить
потом"
(а вбивать данные пользователей наиболее осмысленно во время установки пакетов
на самом деле) -- то начинает выглядеть интересно.
------- Comment #2 From 2005-05-30 13:35:46 -------
отложим на потом.
------- Comment #3 From 2006-09-13 00:27:35 -------
Статус?
------- Comment #4 From 2007-02-17 11:51:24 -------
(перевешиваю на alterator-users)

Есть мнение, что это в лучшем разе для expert mode или вообще для настройки
посредством alterator-i18n, который Стас совершенно зря решил угробить (попробую
восстановить
ftp://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2006/04/20/files/SRPMS/alterator-i18n-0.4-alt1.src.rpm).
------- Comment #5 From 2007-02-19 09:21:04 -------
Локаль на пользователя -  это совершенно бесполезно ибо будет работать только
для xorg.
------- Comment #6 From 2007-02-19 23:10:12 -------
Для тех, кто _работает_ не в иксах, наши с тобой мнения и настраивалки
неинтересны почти a priori.  Или они нам.
------- Comment #7 From 2007-02-21 09:32:18 -------
Ну знаешь, это называется до первого ssh ;)
------- Comment #8 From 2007-02-21 10:56:42 -------
Ну жаль, что к ssh нужны дополнительные средства по перекодированию,
но такие программы существуют, просто штатно не применяются:
например, mapchan
------- Comment #9 From 2007-02-21 13:09:13 -------
Это раз.  Два -- есть konsole и putty.

Ладно, доберусь смотреть последние веяния и чинить services -- попробую
подобрать i18n ;)
------- Comment #10 From 2007-02-22 00:51:54 -------
Пока putty использует gtk1, её нет
------- Comment #11 From 2007-02-23 16:37:51 -------
У тебя нет, у меня -- есть. :)
------- Comment #12 From 2008-02-15 22:59:01 -------
re
------- Comment #13 From 2008-02-15 22:59:45 -------
reassign to myself
это не к /users, а к /i18n, если его восстанавливать
------- Comment #14 From 2009-01-17 19:35:06 -------
apparently wontfix :(